Subject: bug#38797: 27.0.50; Feature request: provide the opposite of xref-pop-marker-stack

From: Dmitry Gutov <[email-masked]>
Date: Mon, 25 Oct 2021 18:18:09 +0300

On 25.10.2021 10:44, Juri Linkov wrote:

>> It's a nice intermediate solution, but it would also be nice to be able to
>> quickly iterate across previous searches. No?
> 
> This means adding another layer of complexity.  Remember a mess
> of deciding how to switch next-error navigations from different searches?
> Switching multiple xref searches will have the same level of confusion.

Unless we do want to be able to switch next-error navigation sources 
this way?

Alternatively, we could uniquify the Xref buffers in a more predictable 
way (e.g. by using the caller command and the input string, somehow), 
and then have commands xref-searches-back and xref-searches-format 
switch between the resulting buffers.

> BTW, shouldn't xref-go-back/forward support next-error-function?  ;-)

What kind of support? Not sure I understand, sorry.